Page 21 of 236 FirstFirst ... 1119202122233171121 ... LastLast
Results 201 to 210 of 2357

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #201
    Join Date
    Oct 2008
    Beans
    9
    Distro
    Ubuntu Intrepid Ibex (testing)

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    I just did the tutorial according to the first post with 8.10 Intrepid. And when I use the ffmpeg suggested by the post, I got the following error:

    Code:
    billh@billaspire:~/temp/ffmpeg/ffmpeg$ ffmpeg -y -i "/media/disk/DVD/cancer/avi/001/cancer-001.avi" -pass 1 -b 512k -bt 512k -s 640x480 -vcodec libx264 -an -threads 0 -coder 1 -flags +loop -cmp +chroma -partitions -parti8x8-parti4x4-partp8x8-partp4x4-partb8x8 -me_method dia -subq 1 -me_range 16 -g 250 -keyint_min 25 -sc_threshold 40 -i_qfactor 0.71 -b_strategy 1 -qcomp 0.6 -qmin 10 -qmax 51 -qdiff 4 -bf 16 -refs 1 -directpred 1 -bidir_refine 0 -trellis 0 -flags2 -bpyramid-wpred-mixed_refs-dct8x8+fastpskip -f mp4 /dev/null
    FFmpeg version SVN-r15746, Copyright (c) 2000-2008 Fabrice Bellard, et al.
      configuration: --enable-gpl --enable-postproc --enable-libvorbis --enable-libtheora --disable-debug --enable-libmp3lame --enable-libfaad --enable-libfaac --enable-pthreads --enable-libx264 --enable-nonfree
      libavutil     49.12. 0 / 49.12. 0
      libavcodec    52. 1. 0 / 52. 1. 0
      libavformat   52.23. 1 / 52.23. 1
      libavdevice   52. 1. 0 / 52. 1. 0
      libpostproc   51. 2. 0 / 51. 2. 0
      built on Oct 30 2008 13:37:51, gcc: 4.3.2
    Input #0, avi, from '/media/disk/DVD/cancer/avi/001/cancer-001.avi':
      Duration: 01:21:32.38, start: 0.000000, bitrate: 1640 kb/s
        Stream #0.0: Video: mpeg4, yuv420p, 720x480 [PAR 1:1 DAR 3:2], 29.97 tb(r)
        Stream #0.1: Audio: mp3, 48000 Hz, stereo, s16, 128 kb/s
    Output #0, mp4, to '/dev/null':
        Stream #0.0: Video: libx264, yuv420p, 640x480 [PAR 9:8 DAR 3:2], q=10-51, pass 1, 512 kb/s, 29.97 tb(c)
    Stream mapping:
      Stream #0.0 -> #0.0
    [libx264 @ 0x9d515e0]no ratecontrol method specified
    Error while opening codec for output stream #0.0 - maybe incorrect parameters such as bit_rate, rate, width or height
    billh@billaspire:~/temp/ffmpeg/ffmpeg$
    Notice my ffmpeg install was working fine with 8.10 + x264 + ffmpeg. The following command was working fine for me:
    Code:
    nice -n 18 /usr/bin/ffmpeg -y -i "/media/disk/DVD/cancer/avi/001/cancer-001.avi" -threads 2 -r 29.97 -b 400kb -vcodec libx264 -s 640x480 -acodec libfaac  -ab 64k -ar 48000 -ac 1 "/media/disk/DVD/cancer/avi/001/cancer.mp4"
    I was just wondering why the command suggested by the post didn't work.

  2. #202
    Join Date
    Sep 2006
    Beans
    3,527

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by Ng Oon-Ee View Post
    Ah... work, that scourge of enjoyment . Just a question for you, for times when you're NOT working (no rush). When I follow your guide, somehow ffplay isn't properly installed, shows as not installed when I try to run it, no man page (ffmpeg does), and I can see ffplay.c in the ~/ffmpeg directory but no ffplay.d or ffplay.o, which leads me to believe its a compiler problem. Except that no errors were raised. Any info you need/suggestions?

    Thanks for the guide, again.


    EDIT: There's a file called config.err in ~/ffmpeg, when I search for occurrences of ffplay it says that ffplay depends on SDL, could the problem be that I don't have some SDL dev files? Do you have ffplay on your install? And do you have any SDL packages installed? I have a few, but those are binaries only.
    I've never used ffplay before, buy I believe you'll need to install libsdl1.2-dev and then recompile ffmpeg. This will bring in a good number of other packages as well, but most are small in size. You may need some other packages, but I didn't test it much. I should add this info to the guide.

    The unemployed statement was referring to the man pages, not me since I'm mostly employed. That's what I get for such a lame joke.

  3. #203
    Join Date
    Jun 2007
    Beans
    377

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by kevdog View Post
    I think I installed this package correctly, but how do I check? -- I'm on Ibex. Any test script?
    Just try converting any video file you have, the easiest way is to do this:-

    Code:
    ffmpeg -i [type in the path to your input video here] [output name]
    This should produce a video in your current directory. The type of the video will automatically be deduced from the output name (I suggest test.mpg for starters). After you know that's worked, then start playing around with the options. Bitrate, Audio sync, stuff like that.


    Quote Originally Posted by FakeOutdoorsman View Post
    I've never used ffplay before, buy I believe you'll need to install libsdl1.2-dev and then recompile ffmpeg. This will bring in a good number of other packages as well, but most are small in size. You may need some other packages, but I didn't test it much. I should add this info to the guide.

    The unemployed statement was referring to the man pages, not me since I'm mostly employed. That's what I get for such a lame joke.
    Ah, online humour not translating , common enough thing.

    I'll try it out now and post if it works, so you can add it to your guide.

  4. #204
    Join Date
    Sep 2006
    Beans
    3,527

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by kevdog View Post
    I think I installed this package correctly, but how do I check? -- I'm on Ibex. Any test script?
    You can just try running ffmpeg to see if it installed correctly:
    Code:
    ffmpeg -version
    Should give you a response similar to:
    Code:
    FFmpeg version SVN-r15824, Copyright (c) 2000-2008 Fabrice Bellard, et al.
      configuration: --prefix=/usr --enable-gpl --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libtheora --enable-libx264
    You could also ask aptitude. I named my ffmpeg package "ffmpeg-svn":
    Code:
    aptitude show ffmpeg-svn
    Should give you:
    Code:
    Package: ffmpeg-svn
    New: yes
    State: installed
    Automatically installed: no
    Version: 20081114-1
    Priority: extra
    Section: checkinstall
    Maintainer: root@ubuntu
    Uncompressed Size: 45.8M
    Provides: ffmpeg
    Description: ffmpeg
    To test ffmpeg, just find a video and:
    Code:
    ffmpeg -i yourinputvideo.flv output.mpg
    To test ffmpeg and x264:
    Code:
    ffmpeg -i yourinputvideo.ogv -vcodec libx264 output.mp4
    The -vcodec option allows you to choose what video codec to use, but often ffmpeg can guess depending on the output extension, such as in the first example. Refer to "Using ffmpeg and x264" in the first post of guide for more usage examples.

  5. #205
    Join Date
    Sep 2006
    Beans
    3,527

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by billhung View Post
    I just did the tutorial according to the first post with 8.10 Intrepid. And when I use the ffmpeg suggested by the post, I got the following error:

    Code:
    billh@billaspire:~/temp/ffmpeg/ffmpeg$ ffmpeg -y -i "/media/disk/DVD/cancer/avi/001/cancer-001.avi" -pass 1 -b 512k -bt 512k -s 640x480 -vcodec libx264 -an -threads 0 -coder 1 -flags +loop -cmp +chroma -partitions -parti8x8-parti4x4-partp8x8-partp4x4-partb8x8 -me_method dia -subq 1 -me_range 16 -g 250 -keyint_min 25 -sc_threshold 40 -i_qfactor 0.71 -b_strategy 1 -qcomp 0.6 -qmin 10 -qmax 51 -qdiff 4 -bf 16 -refs 1 -directpred 1 -bidir_refine 0 -trellis 0 -flags2 -bpyramid-wpred-mixed_refs-dct8x8+fastpskip -f mp4 /dev/null
    FFmpeg version SVN-r15746, Copyright (c) 2000-2008 Fabrice Bellard, et al.
      configuration: --enable-gpl --enable-postproc --enable-libvorbis --enable-libtheora --disable-debug --enable-libmp3lame --enable-libfaad --enable-libfaac --enable-pthreads --enable-libx264 --enable-nonfree
      libavutil     49.12. 0 / 49.12. 0
      libavcodec    52. 1. 0 / 52. 1. 0
      libavformat   52.23. 1 / 52.23. 1
      libavdevice   52. 1. 0 / 52. 1. 0
      libpostproc   51. 2. 0 / 51. 2. 0
      built on Oct 30 2008 13:37:51, gcc: 4.3.2
    Input #0, avi, from '/media/disk/DVD/cancer/avi/001/cancer-001.avi':
      Duration: 01:21:32.38, start: 0.000000, bitrate: 1640 kb/s
        Stream #0.0: Video: mpeg4, yuv420p, 720x480 [PAR 1:1 DAR 3:2], 29.97 tb(r)
        Stream #0.1: Audio: mp3, 48000 Hz, stereo, s16, 128 kb/s
    Output #0, mp4, to '/dev/null':
        Stream #0.0: Video: libx264, yuv420p, 640x480 [PAR 9:8 DAR 3:2], q=10-51, pass 1, 512 kb/s, 29.97 tb(c)
    Stream mapping:
      Stream #0.0 -> #0.0
    [libx264 @ 0x9d515e0]no ratecontrol method specified
    Error while opening codec for output stream #0.0 - maybe incorrect parameters such as bit_rate, rate, width or height
    billh@billaspire:~/temp/ffmpeg/ffmpeg$
    Notice my ffmpeg install was working fine with 8.10 + x264 + ffmpeg. The following command was working fine for me:
    Code:
    nice -n 18 /usr/bin/ffmpeg -y -i "/media/disk/DVD/cancer/avi/001/cancer-001.avi" -threads 2 -r 29.97 -b 400kb -vcodec libx264 -s 640x480 -acodec libfaac  -ab 64k -ar 48000 -ac 1 "/media/disk/DVD/cancer/avi/001/cancer.mp4"
    I was just wondering why the command suggested by the post didn't work.
    I just tested the example and it worked fine for me. Some people have been getting the rate control error when libx264-dev is installed. Also, libx264 had some major API changes not too long ago that breaks older revisions of ffmpeg. Make sure you are using the latest ffmpeg and x264 (how old is r15746?). Show the output of:
    Code:
    x264 --version

  6. #206
    Join Date
    Nov 2008
    Beans
    2

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Mates... I'm tired and I thank you for any help you could give me. I did everything as it should be but it doesn't work.

    I got the latest x264 source code, compiled, got the latest ffmpeg code configured it with --enable-libx264 --enable-gpl, compiled it, but when I use:

    ffmpeg -i test.mov -vcodec libx264 out.mp4

    i get

    Code:
    FFmpeg version SVN-r15828, Copyright (c) 2000-2008 Fabrice Bellard, et al.
      configuration: --enable-libx264 --enable-gpl
      libavutil     49.12. 0 / 49.12. 0
      libavcodec    52. 3. 0 / 52. 3. 0
      libavformat   52.23. 1 / 52.23. 1
      libavdevice   52. 1. 0 / 52. 1. 0
      built on Nov 15 2008 19:49:37, gcc: 4.2.4 (Ubuntu 4.2.4-1ubuntu3)
    Input #0, mov,mp4,m4a,3gp,3g2,mj2, from 'madagascar2-tlr3_h1080p.mov':
      Duration: 00:02:02.64, start: 0.000000, bitrate: 9183 kb/s
        Stream #0.0(eng): Video: h264, yuv420p, 1920x1080, 24.00 tb(r)
        Stream #0.1(eng): Audio: aac, 44100 Hz, stereo, s16
        Stream #0.2(eng): Data: tmcd / 0x64636D74
    Output #0, mp4, to 'out.mp4':
        Stream #0.0(eng): Video: libx264, yuv420p, 1920x1080, q=2-31, 200 kb/s, 24.00 tb(c)
        Stream #0.1(eng): Audio: 0x0000, 44100 Hz, stereo, s16, 64 kb/s
    Stream mapping:
      Stream #0.0 -> #0.0
      Stream #0.1 -> #0.1
    [libx264 @ 0x88717b0]no ratecontrol method specified
    Error while opening codec for output stream #0.0 - maybe incorrect parameters such as bit_rate, rate, width or height
    It's the same no matter what arguments I try.
    Any idea what I should do next...?

    x264 --version
    Code:
    x264 0.65.1028 83baa7f
    ffmpeg -version
    Code:
    FFmpeg version SVN-r15828, Copyright (c) 2000-2008 Fabrice Bellard, et al.
      configuration: --enable-libx264 --enable-gpl
      libavutil     49.12. 0 / 49.12. 0
      libavcodec    52. 3. 0 / 52. 3. 0
      libavformat   52.23. 1 / 52.23. 1
      libavdevice   52. 1. 0 / 52. 1. 0
      built on Nov 15 2008 19:49:37, gcc: 4.2.4 (Ubuntu 4.2.4-1ubuntu3)
    FFmpeg SVN-r15828
    libavutil     49.12. 0 / 49.12. 0
    libavcodec    52. 3. 0 / 52. 3. 0
    libavformat   52.23. 1 / 52.23. 1
    libavdevice   52. 1. 0 / 52. 1. 0
    Last edited by peerLAN; November 15th, 2008 at 07:09 PM.

  7. #207
    Join Date
    Nov 2008
    Beans
    1

    Question Having trouble compiling ffmpeg

    I've followed the directions in the first post. x264 compiled with no issues. ffmpeg is giving me an error during checkinstall. Here is the error.

    Code:
    (Reading database ... 31162 files and directories currently installed.)
    Unpacking ffmpeg (from .../ffmpeg_20081115-1_i386.deb) ...
    dpkg: error processing /root/ffmpeg/ffmpeg_20081115-1_i386.deb (--install):
     trying to overwrite `/usr/lib/libavcodec.a', which is also in package libavcodec-dev
    dpkg-deb: subprocess paste killed by signal (Broken pipe)
    Processing triggers for man-db ...
    Errors were encountered while processing:
     /root/ffmpeg/ffmpeg_20081115-1_i386.deb
    Can anyone here help me get past this?

    I'm new to linux (ubuntu 8.10) so please be gentle!

  8. #208
    Join Date
    Sep 2006
    Beans
    3,527

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by peerLAN View Post
    Mates... I'm tired and I thank you for any help you could give me. I did everything as it should be but it doesn't work.

    I got the latest x264 source code, compiled, got the latest ffmpeg code configured it with --enable-libx264 --enable-gpl, compiled it, but when I use:

    ffmpeg -i test.mov -vcodec libx264 out.mp4
    ...
    Why did you compile ffmpeg with just --enable-libx264 and --enable-gpl? You would probably be better off with ffmpeg from the repository if you're going to use so few options. Try using the configure options from the guide, otherwise you'll also get the "Unsupported codec for output stream #0.1" error since you didn't enable libfaad and libfaac.

  9. #209
    Join Date
    Sep 2006
    Beans
    3,527

    Re: Having trouble compiling ffmpeg

    Quote Originally Posted by jjaromin View Post
    I've followed the directions in the first post. x264 compiled with no issues. ffmpeg is giving me an error during checkinstall. Here is the error.

    Code:
    (Reading database ... 31162 files and directories currently installed.)
    Unpacking ffmpeg (from .../ffmpeg_20081115-1_i386.deb) ...
    dpkg: error processing /root/ffmpeg/ffmpeg_20081115-1_i386.deb (--install):
     trying to overwrite `/usr/lib/libavcodec.a', which is also in package libavcodec-dev
    dpkg-deb: subprocess paste killed by signal (Broken pipe)
    Processing triggers for man-db ...
    Errors were encountered while processing:
     /root/ffmpeg/ffmpeg_20081115-1_i386.deb
    Can anyone here help me get past this?

    I'm new to linux (ubuntu 8.10) so please be gentle!
    You have libavcodec-dev installed and checkinstall doesn't want to overwrite files from libavcodec-dev with the ffmpeg files. Try removing libavcodec-dev and running checkinstall again.

  10. #210
    Join Date
    Aug 2008
    Beans
    9

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Help. I've installed and re-installed but still get a blank configuration, see below.

    I'm running ubuntu 8.04.1, downloaded today's version of ffmpeg, yasm and x264. I updated the installation using the instructions on page 1 of this thread. There were no build errors. I've also read all 21 pages of this thread!

    What can I try next?

    Thanks

    FFmpeg version SVN-r15821, Copyright (c) 2000-2008 Fabrice Bellard, et al.
    configuration:
    libavutil 49.12. 0 / 49.12. 0
    libavcodec 52. 3. 0 / 52. 3. 0
    libavformat 52.23. 1 / 52.23. 1
    libavdevice 52. 1. 0 / 52. 1. 0
    built on Nov 14 2008 16:34:59, gcc: 4.2.3 (Ubuntu 4.2.3-2ubuntu7)
    Input #0, mpeg, from '/public/temp/guitarHero.mpg':
    Duration: 00:02:03.69, start: 0.224367, bitrate: 30119 kb/s
    Stream #0.0[0x1e0]: Video: mpeg2video, yuv420p, 1920x1080 [PAR 1:1 DAR 16:9], 40000 kb/s, 25.00 tb(r)
    Stream #0.1[0x1c0]: Audio: mp2, 48000 Hz, stereo, s16, 224 kb/s
    Warning: not compiled with thread support, using thread emulation
    Unknown encoder 'libx264'

Page 21 of 236 FirstFirst ... 1119202122233171121 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •